void talk( void )
{

if (&story > 14)
  {
 say("`9看呀，Tom，丁克回来了！", &current_sprite);
  return;
  }
 //guard 1
 say("`9丁克！祝你好运！", &current_sprite);
}

void hit( void )
{
int &dinky = sp_y(1, -1);
//get dinks y cord

if (&dinky < 280)
  {
   //dink is above them
   say_stop("`9哼哼，很聪明啊，", &current_sprite);
   wait(300);
   say_stop("`9那是从哪来的攻击？", &current_sprite);
   return;
  }
   say_stop("`9测试兵器吗？放心啦，他们可以的。", &current_sprite);


}
